.top_part{
  display: flex;
  flex-direction: row;
  justify-content: center;
  justify-content: space-between;
  position: fixed;
  top: 0;
  bottom: 0;
  right: 0;
  left: 0;
  border-bottom-width: 0px;
  border-bottom-style: solid;
  border-bottom-color: #3A7CA5;
  z-index: 1000;
  height: 10vh;
  border-width: 0px;
  background-color: rgb(255, 255, 255);
}


.name{
  margin-top: 5%;
  margin-bottom: 5%;
  height: 9.5vh;
  margin-left: 2vw;
}

.all_links{  
  display: flex;
  justify-content: space-around;
  align-items: center;
  flex: 1;
  font-weight: 300;
}
.all_links a {
  font-size: 2.5vh;
  font-weight: 300;
  color: rgba(0, 0, 0, 0.767); 
  transition: color 0.2s cubic, font-weight 0.2s ease;
}

.all_links a.active {
  font-weight: 400;
  color: rgba(0, 0, 0, 1);
  border-bottom: 5px solid #3A7CA5;
  border-bottom-left-radius: 2px;
  border-bottom-right-radius: 2px;
}
@media screen and (max-aspect-ratio: 7/3){
  .all_links a {
  font-size: 3vh;
  font-weight: 300;
  }
}
@media screen and (max-aspect-ratio: 1/1){
  .all_links a {
  font-size: 3.5vw;
}
}
@media screen and (max-aspect-ratio: 1/2){
  .name{
    margin-left: 20vw;
  }
  .all_links a {
  display: none;
}
}